import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 *clase para controlar los movimientos de los barcos
 * @author Rebeca Gonzalez Gamez 
 * @version 05/01/09
 */

public class Barco extends Actor
{
    public int direccion;
    private GreenfootImage BarcoDerecho;
    private GreenfootImage BarcoIzquierdo;
   
    public int tam;
    
    public Barco()
    {
        BarcoDerecho = getImage();
        BarcoIzquierdo = new GreenfootImage(getImage());
        BarcoIzquierdo.mirrorHorizontally();       
        direccion = 0;  
    }
    public void mueveHorizontal(int despl)
    {
        setLocation(getX()+despl,getY());
    }
    
    public void mueveVertical(int despl)
    {
       
        setLocation(getX(),getY()+despl);
    }
    
    public boolean subeNaufrago()
    {
        Actor nau = getOneIntersectingObject(Naufrago.class);
        if(nau != null) 
        {
            getWorld().removeObject(nau);
             Greenfoot.playSound("gulp.wav");
            return(true);
        }
        return(false);
    }
    
    public boolean checaTank()
     {
        Actor tank = getOneIntersectingObject( Tanke.class );
        if( tank != null )
        {
           int i;
           for(i=0;i<5;i++)
            mueveHorizontal(2);
            getWorld().removeObject(tank);
            return(true);
        }   
        return(false);
    }
    
    public boolean chocaBarco()
    {
        Actor barkiza = getOneIntersectingObject(Barco.class);
        if(barkiza != null) 
        {
            getWorld().removeObject(barkiza);
            return(true);
        }
        return(false);
    }
    
    public boolean chocoBarco2()
    {
        Actor barkiza = getOneIntersectingObject(Barco.class);
        if(barkiza != null) 
        {
            return(true);
        }
        return(false);

    }
    
    public Actor chocoBarco3()
    {
        Actor barkiza = getOneIntersectingObject(Barco.class);
        return(barkiza);
     }
    
    public void mueveAbajo(int despl)
    {
         setLocation(getX(),getY()+despl);
    }
    
    public void mueveAtras(int despl)
    {
        setLocation(getX()-despl,getY());
    }
    public void noCambio()
    {
          getWorld().removeObject(this);
    }
}



