import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * es la super clase que contiene los metodos  que utilizan  otras clases
 * 
 * @author Rebeca Gonzalez Gamez 
 * @version 05/01/09
 */
public class Mar extends World
{
public Vidas v;
public Puntos p;
public Puntostotales p2;
public Lvl l;
public boolean band=false;
public int bandlvl=0;
    /**
     * Constructor for objects of class Mar.
     * 
     */
    public Mar()
    {    
       
        super(700,400, 1);
        
        ponPortada();
    }
    /*
     * metodo para aparecer tanques aleatoriamente
     */
    public void ponTanke()
    {
        for (int i = 0; i <1; i++)
        {
            int x = Greenfoot.getRandomNumber ( getWidth() );
            int y = Greenfoot.getRandomNumber ( getHeight() );
            if(x>=0&&x<=100)
            x+=200;
            if(x>=600&&x<=700)
            x-=200;
            if(y>=0&&y<=100)
            y+=100;
            if(y>=300&&y<=400)
            y-=100;
            addObject ( new Tanke(),x,y);
        }
    }    
    /*
     * pone el barco del jugador aleatoriamente
     */
    public void ponBarkitoo()
    {
       
            int x =20; 
            int y = 200;
            addObject ( new BarcoJugador(),x,y);
        
    }
    /*
     *pone los barcos de aleatoriemente (los que contola la maquina) 
     */
     public void ponB2()
    {
            int x =20; 
            int y = 100;
            
            addObject ( new Barco2(),x,y);
            addObject ( new Barco2(),x,y+200);
            
        
    }
    /*
     * pone las plantas aleatoriamente
     */
    
   
    public void ponPlanta()
    {
        for (int i = 0; i <2; i++)
        {
           int x = Greenfoot.getRandomNumber ( getWidth() );
           int y = Greenfoot.getRandomNumber ( getHeight() );
           if(x>=0&&x<=100)
            x+=50;
           if(x>=600&&x<=700)
            x-=50;
           if(y>=0&&y<=100)
            y+=50;
           if(y>=300&&y<=400)
            y-=50;
           addObject ( new Planta(),x,y);
        }
    }   
       /*
        * pone rocas en posisiones aleatorias
        */
    public void ponRoka()
    {
        for (int i = 0; i <1; i++)
        {
           int x = Greenfoot.getRandomNumber ( getWidth() );
           int y = Greenfoot.getRandomNumber ( getHeight() );
           if(x>=0&&x<=100)
            x+=50;
           if(x>=600&&x<=700)
            x-=50;
           if(y>=0&&y<=100)
            y+=50;
           if(y>=300&&y<=400)
            y-=50;
           addObject ( new Roka(),x,y);
        }
        
    }
    /*
     * pone los naufragos en psision aleatoria
     */
     public void act()
    {
       if(band)
       {
        if(Greenfoot.getRandomNumber(100) < 3)
        {
            for (int i = 0; i <1; i++)
            {
                int x = Greenfoot.getRandomNumber ( getWidth() );
                int y = Greenfoot.getRandomNumber ( getHeight() );
                addObject ( new Naufrago(),x,y);
            }
        }
        /*
         * pone los tankes en posission aleatoria
         */
        if(Greenfoot.getRandomNumber(500) < 3)
        {
            for (int i = 0; i <1; i++)
            {
                int x = Greenfoot.getRandomNumber ( getWidth() );
                int y = Greenfoot.getRandomNumber ( getHeight() );
                if(x>=0&&x<=100)
                x+=50;
                if(x>=600&&x<=700)
                x-=50;
                if(y>=0&&y<=100)
                y+=50;
                if(y>=300&&y<=400)
                y-=50;
                addObject ( new Tanke(),x,y);
            }
        }
      }
    }
       /*
        * visualiza las vidas en pantalla
        */ 
        public void ponVida()
        {
            v=new Vidas();
           addObject(v, 70,25 );
        }  
        
        public void quitaVidas()
        {
            v.quitaVidas();
        }
        public void vidasCero()
        {
            v.vidasCero();
        }
        
        public void ponPuntos()
        {
            p=new Puntos();
            addObject(p, 310,25 );
            p2=new Puntostotales();
            addObject(p2, 420,25 );
        }
        
        public void sumaPuntos()
        {
            p.sumaPuntos();
            p2.sumaPuntos();
        }
        
        public int regresaPuntos()
        {
            return(p.obtenPuntos());
        }
        public int regresaPuntos2()
        {
            return(p2.obtenPuntos());
        }
        public void ponPuntosCero()
        {
            p.puntosCero();
        }
        
        public void ponLvl()
        {
            l=new Lvl();
            addObject(l, 770,25 );
        }
        
        public void aumentaLvl()
        {
            l.aumentaLvl();
        }
        public int regresaLvl()
        {
            return(l.regresaLvl());
        }
        public void cambiaLvluno()
        {
            Greenfoot.stopSimulation();
        }
        public void cambiaLvldos()
        {
            Greenfoot.stopSimulation();
        }
        public void cambiaLvltres()
        {
            Greenfoot.stopSimulation();
        }
        public void noCambiolvl()
        {
            bandlvl=1;
        }
        public void regresaCambiolvl()
        {
            bandlvl=0;
            addObject ( new Barco2(),20,100);
            addObject ( new Barco2(),20,300);
            
        }
        /*
         *indica  si a cambiado de nivel o no
         */
        public int regresaSiCambio()
        {
            return(bandlvl);
        }
        public void iniciaJuego()
        {
            band=true;
            setBackground("mar.jpg");
            removeObjects( getObjects(Ayuda.class));
            removeObjects( getObjects(Acercade.class));
            removeObjects( getObjects(Iniciar.class));
            ponBarkitoo();
            ponB2();
            ponPlanta();
            ponRoka();
            ponVida();
            ponPuntos();
            ponTanke();
            ponLvl();
        }
        public void ponPortada()
        {
            setBackground("portada.jpg");
            Iniciar b1=new Iniciar();
            addObject(b1, 150,320 );
            Ayuda b2=new Ayuda();
            addObject(b2, 350,320 );
            Acercade b3=new Acercade();
            addObject(b3, 550,320 );
        }
        
        public void ponAyuda()
        {
            setBackground("pantallaayuda.png");
            removeObjects( getObjects(Ayuda.class));
            removeObjects( getObjects(Iniciar.class));
            removeObjects( getObjects(Acercade.class));
            Regresados home=new Regresados();
            addObject(home, 550,70 );
            
        }
          public void portada2()
        {
            setBackground("portada2.png");
            removeObjects( getObjects(Ayuda.class));
            removeObjects( getObjects(Iniciar.class));
            removeObjects( getObjects(Acercade.class));
            Regresar home=new Regresar();
            addObject(home, 600,50 );
            
        }
        public void Regresar()
        {
            setBackground("portada.jpg");
            Iniciar b1=new Iniciar();
            addObject(b1, 150,320 );
            Ayuda b2=new Ayuda();
            addObject(b2, 350,320 );
            removeObjects( getObjects(Regresar.class));
            Acercade b3=new Acercade();
            addObject(b3, 550,320 );
        }
        
        public void Regresados()
        {
            setBackground("pantallaayuda2.png");
            removeObjects( getObjects(Ayuda.class));
            removeObjects( getObjects(Iniciar.class));
            removeObjects( getObjects(Regresados.class));
            Regresar home=new Regresar();
            addObject(home, 600,50 );      
        }
        /*
         * muestra en pantalla cuando el juego termina
         */
        
        public void juegoTerminado()
        {
            addObject(new TablaPuntaje(regresaPuntos2()),getWidth()/2, getHeight()/2);
            Greenfoot.stopSimulation();
        }
       
}