import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.awt.Font;

/**
 * clase para llevar el control de vidas del jugador 
 * @author Rebeca Gonzalez Gamez 
 * @version 05/01/09
 */

public class Vidas extends Datos
{
private int vidas=3;
Color color=new Color(255, 255, 255);
   
    public void act() 
    {
        GreenfootImage img=getImage();
        img.clear();
        img.drawString("Vidas: "+vidas, 10, 20);
    }    
    public Vidas()
    {
        GreenfootImage img = getImage();
        img.clear();
        img.scale(150,50);
        Font fnt= img.getFont();
        fnt=fnt.deriveFont(19.0f);
        img.setFont(fnt);
   
        img.setColor(color);
        img.drawString("Vidas: "+vidas, 10, 20);
    }
    
    public void quitaVidas()
    {
        vidas--;
    }
    public void reiniciaVidas()
    {
        vidas=3;
    }
    public int obtenVidas()
    {
        return(vidas);
    }
    public void vidasCero()
    {
        vidas=0;
    }
}
